﻿@{
	ViewData["Title"] = "聯盟管理";
	Layout = "_BackstageLayout";
}

<section id="leagueAdmin">
	<!--action icons-->
	<div id="page-wrapper">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-3 col-md-6 action-icon">
					<div class="panel panel-primary">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-handshake-o fa-5x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="panel-title">新建戰績</div>
								</div>
							</div>
						</div>
						<a href="@Url.Action("CreateStanding","LeagueAdmin")">
							<div class="panel-footer">
								<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>

								<div class="clearfix"></div>
							</div>
						</a>
					</div>
				</div>
				<div class="col-lg-3 col-md-6 action-icon">
					<div class="panel panel-green">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-users fa-5x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="panel-title">編輯隊伍</div>
								</div>
							</div>
						</div>
						<a href="@Url.Action("EditTeam","LeagueAdmin")" class="panel-green-link">
							<div class="panel-footer">
								<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
								<div class="clearfix"></div>
							</div>
						</a>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-3 col-md-6 action-icon" id="set-new-semester">
					<div class="panel panel-yellow">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-cogs fa-5x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="panel-title">新學年度設定隊伍</div>
								</div>
							</div>
						</div>
						<a href="#" data-toggle="modal" data-target="#newSemesterModal" class="panel-yellow-link">
							<div class="panel-footer">
								<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
								<div class="clearfix"></div>
							</div>
						</a>
					</div>
				</div>
				<div class="col-lg-3 col-md-6 action-icon">
					<div class="panel panel-red">
						<div class="panel-heading">
							<div class="row">
								<div class="col-xs-3">
									<i class="fa fa-user-plus fa-5x"></i>
								</div>
								<div class="col-xs-9 text-right">
									<div class="panel-title">新增聯盟管理人員</div>
								</div>
							</div>
						</div>
						<a asp-area="Identity" asp-page="/Account/Register" class="panel-red-link">
							<div class="panel-footer">
								<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
								<div class="clearfix"></div>
							</div>
						</a>
					</div>
				</div>
			</div>
			</div>

			<!-- Modal -->
			<div class="modal" id="newSemesterModal" tabindex="-1" role="dialog" aria-labelledby="newSemesterModallLabel" aria-hidden="true">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="newSemesterModalLabel">新學年度隊伍設定</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<p>確定是否進行新學年度「 @ViewData["NewSemester"]學年度 」隊伍設定</p>
							<div class="modal-footer">
								<button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
								<a id="setNewSemester" class="btn btn-primary" href="@Url.Action("setNewSemester","LeagueAdmin")" newSemester=@ViewData["NewSemester"]>確定</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

